- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Verify that required package installation can be adjusted based on
    the context both in test metadata and prepare step.
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/prepare/adjust
  order: 50
  path: /default-0/tests/tests/prepare/adjust
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 1
  sources:
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/adjust/main.fmf
  summary: Adjust required packages based on context
  tag:
  - provision-container
  test: ./test.sh
  tier: '3'
  tty: false
  where: &id001 []
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/prepare/basic
  order: 50
  path: /default-0/tests/tests/prepare/basic
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 2
  sources:
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/basic/main.fmf
  summary: Verify that basic package installation works
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: 'Make sure that a beakerlib test can be easily executed on

    `centos-stream` with `epel` enabled without need for `order`

    in the `prepare` step.

    '
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/prepare/framework
  order: 50
  path: /default-0/tests/tests/prepare/framework
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 3
  sources:
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/framework/main.fmf
  summary: Ensure framework dependencies are handled at the proper phase
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: 'Runs prepare script which produces a lot of text but is killed fast.

    Command tmt run can''t wait forever on more output.

    Original issue was found when ssh to remote or podman exec were used.

    '
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/prepare/freeze
  order: 50
  path: /default-0/tests/tests/prepare/freeze
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 4
  sources:
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/freeze/main.fmf
  summary: Too much output in prepare script could freeze tmt
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Run a test which requires an available package and check that everything
    has been completed successfully. Then run a test which requires a missing package
    and check that an error is correctly reported. In both cases check the exit code.
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/prepare/require
  order: 50
  path: /default-0/tests/tests/prepare/require
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 5
  sources:
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/require/main.fmf
  summary: Check that required packages work as expected
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link:
  - verifies: https://github.com/teemtee/tmt/issues/423
  manual: false
  name: /tests/prepare/shell
  order: 50
  path: /default-0/tests/tests/prepare/shell
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 6
  sources:
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/main.fmf
  - /var/ARTIFACTS/work-preparesyafdvc_/plans/features/steps/prepare/discover/default-0/tests/tests/prepare/shell/main.fmf
  summary: Test preparing guest using a shell script
  tag:
  - provision-container
  - provision-local
  - provision-virtual
  - image-mode
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
